/*!
  \file Draw_Polygon.c
  \author Mario Palomo <mpalomo@ihman.com>
  \author Jose M. de la Huerga Fernndez
  \author Pepe Gonzlez Mora
  \date 05-2002

*/

/*
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free Foundation,
  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*/


#define SWAP(X,Y) \
    swap=X;	  \
    X=Y;	  \
    Y=swap
      


void Draw_Triangle (SDL_Surface *super, 
		  Sint16 x1, Sint16 y1, Sint16 x2, Sint16 y2,  Sint16 x3, Sint16 y3, 
		  Uint32 color)          
{
  Draw_LineBold(super, x1, y1, x2, y2,7, color);
  Draw_LineBold(super, x2, y2, x3, y3,7, color);
  Draw_LineBold(super, x3, y3, x1, y1,7, color);
}/*Draw_Triangle*/



